Bug Hunting Session
Bug 99588 - UI: Paste Special dialog, Tab order for option buttons Operations is wrong
Summary: UI: Paste Special dialog, Tab order for option buttons Operations is wrong
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-30 12:26 UTC by Óvári
Modified: 2016-10-25 19:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Paste Special dialog in Calc (13.70 KB, image/png)
2016-04-30 12:26 UTC, Óvári
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2016-04-30 12:26:02 UTC
Created attachment 124748 [details]
Paste Special dialog in Calc

1. Open LibreOffice Calc
2. Ctrl+C           (Copy)
3. Ctrl+Shift+V     (Paste Special)
4. Alt+E            (Operations Non_e_)
5. Press DownArrow numerous times; the Operations cycle in the following order:
   None, Multiply, Subtract, Add, Divide, None, …

Suggested that the order be as shown in attached Paste Special dialog box, i.e.
   None, Add, Subtract, Multiply, Divide, None, …

Thank you


Version: 5.1.3.1 (x64)
Build ID: 115e0e13d3c8ac1452186ad2394abce2dd5c2b57
CPU Threads: 2; OS Version: Windows 6.29; UI Render: default
Comment 1 raal 2016-04-30 13:50:49 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: 170a473597534cf59887b1d817538322e7039862
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-19_00:41:06
Comment 2 Katarina Behrens (CIB) 2016-05-10 09:39:03 UTC
Interesting ...
Comment 3 Commit Notification 2016-05-10 20:05:48 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=750e39302ee9bc7e2583b8efbca79c25c93d0bff

tdf#99588: Fix radio button groups (and thus up/down key cycle)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-05-11 01:18:24 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b17a70db6c458554382876cb5ff2de22e0eea17&h=libreoffice-5-1

tdf#99588: Fix radio button groups (and thus up/down key cycle)

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Óvári 2016-05-14 09:23:27 UTC
Thank you Katarina Behrens

Works correctly with
Windows 8.1
LO Version: 5.2.0.0.alpha1+
Build ID: efc05c0a1ecac549c8340a8f9ec4e47556569adc
CPU Threads: 2; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-05-13_23:01:28